Gaudi Columns _InClass

render

import rhinoscriptsyntax as rs

myCrv = rs.GetObject (“select the object”)

trDist = rs.GetInteger (“specify translation distance”)
myVec = (0,0,trDist)

myCrv2 = rs.CopyObject (myCrv,myVec)
ptC = rs.CurveAreaCentroid (myCrv2)
myPtC = rs.AddPoint (ptC[0])

rotAng = rs.GetReal (“specify rotation angle”)
myOb = rs.RotateObject (myCrv2,myPtC,rotAng,None,True)

rotAng2 = rs.GetReal (“specify rotation angle”)
myOb2 = rs.RotateObject (myCrv2,myPtC,rotAng2,None,None)

myCrvs = rs.GetObjects(“select the curves”)
rs.AddLoftSrf (myCrvs)
myCrvs2 = rs.GetObjects(“select the curves”)
rs.AddLoftSrf (myCrvs2)

mySrf = rs.GetObjects (“select the polysurface”)
rs.CapPlanarHoles (mySrf)

mySrf2 = rs.GetObjects (“select the polysurface”)
rs.CapPlanarHoles (mySrf2)

myPoly1 = rs.GetObject (“select the first polysurface”)
myPoly2 = rs.GetObject (“select second polysurface”)

rs.BooleanIntersection (myPoly1,myPoly2)

PINAR KARAKAŞ

Advertisements

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s